Skip to main content
POST
/
v1
/
applications
Create an Application
curl --request POST \
  --url https://identity.sandbox.lerian.net/v1/applications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "Bank Transfer reconciliation worker.",
  "name": "plugin-br-bank-transfer"
}
'
{
  "clientId": "019c96a0-6a10-7abc-d1e2-8c9d0e1f2a3b",
  "clientSecret": "019c96a0-6a20-7bcd-e1f2-9d0e1f2a3b4c",
  "createdAt": "2025-04-08T08:01:30.000Z",
  "description": "Bank Transfer reconciliation worker.",
  "id": "019c96a0-0c0c-7221-8cf3-13313fb60081",
  "name": "plugin-br-bank-transfer"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The authorization token in the 'Bearer ' format.

Body

application/json

Information used to create a machine-to-machine application.

description
string
required

A clear identifier that helps you quickly recognize which service, job, or integration uses the application.

name
enum<string>
required

The Lerian product or plugin this machine-to-machine application will access.

Available options:
midaz,
plugin-fees,
plugin-crm,
reporter,
plugin-br-pix-direct-jd,
plugin-br-pix-indirect-btg,
plugin-br-bank-transfer

Response

Indicates that the resource was successfully created and the operation was completed as expected.

Information about the Application.

clientId
string

Unique identifier of the client.

clientSecret
string

Secret key linked to the clientId, used for secure client authentication.

createdAt
string<date-time>

Timestamp marking when the application was created.

description
string

A clear identifier that helps you quickly recognize which service, job, or integration uses the application.

id
string

Unique identifier of the application.

name
enum<string>

The Lerian product or plugin this machine-to-machine application can access.

Available options:
midaz,
plugin-fees,
plugin-crm,
reporter,
plugin-br-pix-direct-jd,
plugin-br-pix-indirect-btg,
plugin-br-bank-transfer